aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xmodup.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/modup.sh b/modup.sh
new file mode 100755
index 0000000..a725abe
--- /dev/null
+++ b/modup.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+# Update all submodules to remote HEAD by running:
+#
+# git submodule update --remote
+#
+# Normally you would follow this with commit.
+#
+
+. etc/git/modules
+
+wd=`pwd`
+
+for i in $modules; do
+ echo "submodule update $i" 1>&2
+ cd $i
+ git submodule update --remote $*
+
+ if [ $? -ne 0 ]; then
+ echo "submodule update FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done